//  File:  V2A - Copy Points from a Vector into a pair of arrays

import java.util.Vector;
import java.awt.Point;

public class V2A {

    // This method takes the info out of vector v and
    // loads up two arrays, xCoords and yCoords
    private void vector2Arrays(Vector<Point> v) {
        xCoords = new int[v.size()];
        yCoords = new int[v.size()];
        for (int i = 0; i < v.size(); i++) {
            Point p = /*(Point)*/ v.elementAt(i);    // Don't need to cast!
            xCoords[i] = p.x;
            yCoords[i] = p.y;
        }
    }

    // Just show the contents of an array
    private void dumpArray(int[] a) {
        for (int i = 0; i < a.length; i++)
            System.out.print(" " + a[i]);
        System.out.println();
    }

    // Body of the program...
    V2A() {
        System.out.println("This is V2A...");
        v = new Vector<Point>();
        for (int i = 0; i < 7; i++) {
            Point p = new Point(i, i);
            v.addElement(p);
        }
        System.out.println("v = " + v);
        vector2Arrays(v);
        System.out.print("x = ");
        dumpArray(xCoords);
        System.out.print("y = ");
        dumpArray(yCoords);
    }

    public static void main(String[] args) {
        System.out.println("Vector-to-Arrays\n");
        new V2A();
    }

    private Vector<Point> v;           // points in the polyline
    private int[] xCoords;
    private int[] yCoords;
}

/* ----- Output from this program -----

Vector-to-Arrays

This is V2A...
v = [java.awt.Point[x=0,y=0], java.awt.Point[x=1,y=1],
     java.awt.Point[x=2,y=2], java.awt.Point[x=3,y=3],
     java.awt.Point[x=4,y=4], java.awt.Point[x=5,y=5],
     java.awt.Point[x=6,y=6]]
x =  0 1 2 3 4 5 6
y =  0 1 2 3 4 5 6

----- End of Output ----- */
